CREATE TABLE `SPORTS_NHL_TEAMS_SEASON_GOALIES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shots_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` MEDIUMINT(8) UNSIGNED DEFAULT NULL,
  `en_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_SEASON_SKATERS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `assists` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `plus_minus` SMALLINT(6) DEFAULT NULL,
  `pims` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pens_taken` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pens_drawn` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_opps` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pk_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_kills` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pk_opps` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `missed_shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `blocked_shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shots_blocked` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `hits` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `times_hit` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fo_wins` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fo_loss` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `giveaways` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `takeaways` SMALLINT(5) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_SEASON_SKATERS_ADVANCED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `corsi_cf` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `corsi_ca` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `corsi_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `fenwick_ff` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fenwick_fa` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fenwick_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo_sh_gf` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sh_sog` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sh` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo_sv_sv` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sv_sog` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sv` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_SEASON_GOALIES_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `win` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `goals_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shots_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `saves` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `save_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `goals_against_avg` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shutout` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `minutes_played` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `en_goals_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_goals_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_shots_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_saves` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_save_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pims` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_SEASON_SKATERS_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `plus_minus` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pims` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pens_taken` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pens_drawn` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_opps` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_kills` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_opps` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `sh_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `sh_assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `sh_points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shots` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shot_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `missed_shots` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `blocked_shots` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shots_blocked` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `hits` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `times_hit` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `fo_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `fo_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `fo_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_shots` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `giveaways` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `takeaways` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_SEASON_SKATERS_ADVANCED_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `corsi_cf` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `corsi_ca` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `corsi_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `fenwick_ff` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `fenwick_fa` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `fenwick_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo_sh_gf` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo_sh_sog` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo_sh` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo_sv_sv` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo_sv_sog` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo_sv` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pdo` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
